aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2012-05-25 11:25:36 -0700
committerJunio C Hamano <gitster@pobox.com>2012-05-25 11:25:36 -0700
commit98eb3fc6cbdede41809e29166ddad4edf6acd1f4 (patch)
treea42606abde38efc736e8010ac857e4853aa967c0 /t
parenta3347b988a338e95b7f3b11eda776ac0d7b84dd0 (diff)
parent176a33542eddc6e319bfef4ca726813ce0b9af55 (diff)
downloadgit-98eb3fc6cbdede41809e29166ddad4edf6acd1f4.tar.gz
git-98eb3fc6cbdede41809e29166ddad4edf6acd1f4.tar.xz
Merge branch 'bp/diff-no-index-strbuf-fix' into maint
The directory path used in "git diff --no-index", when it recurses down, was broken with a recent update after v1.7.10.1 release. By Bobby Powers * bp/diff-no-index-strbuf-fix: diff --no-index: don't leak buffers in queue_diff diff --no-index: reset temporary buffer lengths on directory iteration
Diffstat (limited to 't')
-rwxr-xr-xt/t4053-diff-no-index.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/t/t4053-diff-no-index.sh b/t/t4053-diff-no-index.sh
new file mode 100755
index 000000000..4dc8c67ed
--- /dev/null
+++ b/t/t4053-diff-no-index.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+test_description='diff --no-index'
+
+. ./test-lib.sh
+
+test_expect_success 'setup' '
+ mkdir a &&
+ mkdir b &&
+ echo 1 >a/1 &&
+ echo 2 >a/2
+'
+
+test_expect_success 'git diff --no-index directories' '
+ git diff --no-index a b >cnt
+ test $? = 1 && test_line_count = 14 cnt
+'
+
+test_done